Search for to

  1. Search 7.x for to
  2. Search 9.5.x for to
  3. Search 8.9.x for to
  4. Search 10.3.x for to
  5. Search 11.x for to
  6. Other projects
Title Object type File name Summary
WorkspaceProviderCollector::__construct function core/modules/workspaces/src/Provider/WorkspaceProviderCollector.php
WorkspacePublishEvent::$publishingStopped property core/modules/workspaces/src/Event/WorkspacePublishEvent.php Whether an event subscriber requested the publishing to be stopped.
WorkspacePublishEvent::$publishingStoppedReason property core/modules/workspaces/src/Event/WorkspacePublishEvent.php The reason why publishing stopped. For use in messages.
WorkspacePublishEvent::getPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Gets the reason for stopping the workspace publication.
WorkspacePublishEvent::isPublishingStopped function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Determines whether a subscriber requested the publishing to be stopped.
WorkspacePublishEvent::setPublishingStoppedReason function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Sets the reason for stopping the workspace publication.
WorkspacePublishEvent::stopPublishing function core/modules/workspaces/src/Event/WorkspacePublishEvent.php Signals that the workspace publishing should be aborted.
WorkspacePublishForm::$workspaceOperationFactory property core/modules/workspaces_ui/src/Form/WorkspacePublishForm.php The workspace operation factory.
WorkspaceQueryParameterNegotiatorTest class core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests the query parameter workspace negotiator.
WorkspaceQueryParameterNegotiatorTest.php file core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::$modules property core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Modules to install.
WorkspaceQueryParameterNegotiatorTest::providerTestWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Data provider for testWorkspaceQueryParameter.
WorkspaceQueryParameterNegotiatorTest::setUp function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::testWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests workspace query parameter.
WorkspaceRepository class core/modules/workspaces/src/WorkspaceRepository.php Provides the default workspace tree lookup operations.
WorkspaceRepository.php file core/modules/workspaces/src/WorkspaceRepository.php
WorkspaceRepository::$cache property core/modules/workspaces/src/WorkspaceRepository.php The cache backend used to store the workspace tree.
WorkspaceRepository::$entityTypeManager property core/modules/workspaces/src/WorkspaceRepository.php The entity type manager service.
WorkspaceRepository::$tree property core/modules/workspaces/src/WorkspaceRepository.php An array of tree items, keyed by workspace IDs and sorted in tree order.
WorkspaceRepository::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepository.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepository::loadTree function core/modules/workspaces/src/WorkspaceRepository.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepository::resetCache function core/modules/workspaces/src/WorkspaceRepository.php Resets the cached workspace tree.
WorkspaceRepository::__construct function core/modules/workspaces/src/WorkspaceRepository.php Constructs a new WorkspaceRepository instance.
WorkspaceRepositoryInterface interface core/modules/workspaces/src/WorkspaceRepositoryInterface.php Provides an interface for workspace tree lookup operations.
WorkspaceRepositoryInterface.php file core/modules/workspaces/src/WorkspaceRepositoryInterface.php
WorkspaceRepositoryInterface::getDescendantsAndSelf function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns the descendant IDs of the passed-in workspace, including itself.
WorkspaceRepositoryInterface::loadTree function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Returns an array of workspaces tree item properties, sorted in tree order.
WorkspaceRepositoryInterface::resetCache function core/modules/workspaces/src/WorkspaceRepositoryInterface.php Resets the cached workspace tree.
WorkspaceRequestSubscriberTest::testOnKernelRequestWithCacheableRouteProvider function core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests on kernel request with cacheable route provider.
WorkspaceRequestSubscriberTest::testOnKernelRequestWithoutCacheableRouteProvider function core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests on kernel request without cacheable route provider.
workspaces.entity.repository service core/modules/workspaces/workspaces.services.yml Drupal\workspaces\WorkspacesEntityRepository
workspaces.menu.tree_storage service core/modules/workspaces/workspaces.services.yml Drupal\workspaces\WorkspacesMenuTreeStorage
workspaces.negotiator.query_parameter service core/modules/workspaces/workspaces.services.yml Drupal\workspaces\Negotiator\QueryParameterWorkspaceNegotiator
workspaces.negotiator.session service core/modules/workspaces/workspaces.services.yml Drupal\workspaces\Negotiator\SessionWorkspaceNegotiator
workspaces.operation_factory service core/modules/workspaces/workspaces.services.yml Drupal\workspaces\WorkspaceOperationFactory
workspaces.repository service core/modules/workspaces/workspaces.services.yml Drupal\workspaces\WorkspaceRepository
workspaces.toolbar.css file core/modules/workspaces_ui/css/workspaces.toolbar.css Styling for Workspaces module's toolbar tab.
workspaces.toolbar.pcss.css file core/modules/workspaces_ui/css/workspaces.toolbar.pcss.css Styling for Workspaces module's toolbar tab.
WorkspaceSafeFormTrait::getSectionStorageFromFormState function core/modules/layout_builder/src/Form/WorkspaceSafeFormTrait.php Retrieves the section storage from a form state object, if it exists.
WorkspacesAliasRepository class core/modules/workspaces/src/WorkspacesAliasRepository.php Provides workspace-specific path alias lookup queries.
WorkspacesAliasRepository.php file core/modules/workspaces/src/WorkspacesAliasRepository.php
WorkspacesAliasRepository::$workspaceManager property core/modules/workspaces/src/WorkspacesAliasRepository.php The workspace manager.
WorkspacesAliasRepository::getBaseQuery function core/modules/workspaces/src/WorkspacesAliasRepository.php Returns a SELECT query for the path_alias base table.
WorkspacesAliasRepository::setWorkspacesManager function core/modules/workspaces/src/WorkspacesAliasRepository.php Sets the workspace manager.
WorkspacesContentModerationStateTest::addEntityTypeAndBundleToWorkflow function core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Adds an entity type ID / bundle ID to the given workflow.
WorkspacesContentModerationStateTest::createEditorialWorkflow function core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Creates the editorial workflow.
WorkspaceSelection::$workspaceRepository property core/modules/workspaces/src/Plugin/EntityReferenceSelection/WorkspaceSelection.php The workspace repository service.
WorkspacesEntityRepository class core/modules/workspaces/src/WorkspacesEntityRepository.php Provides workspace-specific mechanisms for retrieving entities.
WorkspacesEntityRepository.php file core/modules/workspaces/src/WorkspacesEntityRepository.php
WorkspacesEntityRepository::getActive function core/modules/workspaces/src/WorkspacesEntityRepository.php Retrieves the active entity variant matching the specified context.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.